
_Soft7219SpiWriteByte:

;softmax7219spi.c,1 :: 		void Soft7219SpiWriteByte(char DataByte)
;softmax7219spi.c,6 :: 		MAX7219_SCK=0;
	BCF        MAX7219_SCK+0, BitPos(MAX7219_SCK+0)
;softmax7219spi.c,7 :: 		mask = 0x80;
	MOVLW      128
	MOVWF      R1+0
;softmax7219spi.c,10 :: 		do  {
L_Soft7219SpiWriteByte0:
;softmax7219spi.c,11 :: 		MAX7219_SDO=0;
	BCF        MAX7219_SDO+0, BitPos(MAX7219_SDO+0)
;softmax7219spi.c,12 :: 		if (DataByte & mask)MAX7219_SDO=1;
	MOVF       R1+0, 0
	ANDWF      FARG_Soft7219SpiWriteByte_DataByte+0, 0
	MOVWF      R0+0
	BTFSC      STATUS+0, 2
	GOTO       L_Soft7219SpiWriteByte3
	BSF        MAX7219_SDO+0, BitPos(MAX7219_SDO+0)
L_Soft7219SpiWriteByte3:
;softmax7219spi.c,13 :: 		MAX7219_SCK=1;
	BSF        MAX7219_SCK+0, BitPos(MAX7219_SCK+0)
;softmax7219spi.c,14 :: 		if (MAX7219_SDI) ret |= mask;
	BTFSS      MAX7219_SDI+0, BitPos(MAX7219_SDI+0)
	GOTO       L_Soft7219SpiWriteByte4
L_Soft7219SpiWriteByte4:
;softmax7219spi.c,15 :: 		delay_us(1);
	NOP
	NOP
;softmax7219spi.c,16 :: 		MAX7219_SCK=0;
	BCF        MAX7219_SCK+0, BitPos(MAX7219_SCK+0)
;softmax7219spi.c,17 :: 		mask = mask >> 1;
	RRF        R1+0, 1
	BCF        R1+0, 7
;softmax7219spi.c,18 :: 		delay_us(1);
	NOP
	NOP
;softmax7219spi.c,19 :: 		} while (mask != 0);
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Soft7219SpiWriteByte0
;softmax7219spi.c,22 :: 		}
L_end_Soft7219SpiWriteByte:
	RETURN
; end of _Soft7219SpiWriteByte

_Soft7219SpiReadByte:

;softmax7219spi.c,25 :: 		char Soft7219SpiReadByte(char Clock)
;softmax7219spi.c,30 :: 		MAX7219_SCK=0;
	BCF        MAX7219_SCK+0, BitPos(MAX7219_SCK+0)
;softmax7219spi.c,31 :: 		mask = 0x80;
	MOVLW      128
	MOVWF      R2+0
;softmax7219spi.c,32 :: 		ret = 0;
	CLRF       R1+0
;softmax7219spi.c,34 :: 		do  {
L_Soft7219SpiReadByte5:
;softmax7219spi.c,35 :: 		MAX7219_SDO=0;
	BCF        MAX7219_SDO+0, BitPos(MAX7219_SDO+0)
;softmax7219spi.c,36 :: 		if (Clock & mask)MAX7219_SDO=1;
	MOVF       R2+0, 0
	ANDWF      FARG_Soft7219SpiReadByte_Clock+0, 0
	MOVWF      R0+0
	BTFSC      STATUS+0, 2
	GOTO       L_Soft7219SpiReadByte8
	BSF        MAX7219_SDO+0, BitPos(MAX7219_SDO+0)
L_Soft7219SpiReadByte8:
;softmax7219spi.c,37 :: 		MAX7219_SCK=1;
	BSF        MAX7219_SCK+0, BitPos(MAX7219_SCK+0)
;softmax7219spi.c,38 :: 		if (MAX7219_SDI) ret |= mask;
	BTFSS      MAX7219_SDI+0, BitPos(MAX7219_SDI+0)
	GOTO       L_Soft7219SpiReadByte9
	MOVF       R2+0, 0
	IORWF      R1+0, 1
L_Soft7219SpiReadByte9:
;softmax7219spi.c,39 :: 		delay_us(1);
	NOP
	NOP
;softmax7219spi.c,40 :: 		MAX7219_SCK=0;
	BCF        MAX7219_SCK+0, BitPos(MAX7219_SCK+0)
;softmax7219spi.c,41 :: 		mask = mask >> 1;
	RRF        R2+0, 1
	BCF        R2+0, 7
;softmax7219spi.c,42 :: 		delay_us(1);
	NOP
	NOP
;softmax7219spi.c,43 :: 		} while (mask != 0);
	MOVF       R2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Soft7219SpiReadByte5
;softmax7219spi.c,45 :: 		return ret;
	MOVF       R1+0, 0
	MOVWF      R0+0
;softmax7219spi.c,46 :: 		}
L_end_Soft7219SpiReadByte:
	RETURN
; end of _Soft7219SpiReadByte

_SoftMax7219Init:

;softmax7219.c,1 :: 		void SoftMax7219Init()
;softmax7219.c,3 :: 		MAX7219_CS=1;
	BSF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,4 :: 		MAX7219_SDO=0;
	BCF        MAX7219_SDO+0, BitPos(MAX7219_SDO+0)
;softmax7219.c,5 :: 		MAX7219_SDI=0;
	BCF        MAX7219_SDI+0, BitPos(MAX7219_SDI+0)
;softmax7219.c,6 :: 		MAX7219_SCK=0;
	BCF        MAX7219_SCK+0, BitPos(MAX7219_SCK+0)
;softmax7219.c,7 :: 		MAX7219_CS_DIRECTION=0;
	BCF        MAX7219_CS_DIRECTION+0, BitPos(MAX7219_CS_DIRECTION+0)
;softmax7219.c,8 :: 		MAX7219_SDO_DIRECTION=0;
	BCF        MAX7219_SDO_DIRECTION+0, BitPos(MAX7219_SDO_DIRECTION+0)
;softmax7219.c,9 :: 		MAX7219_SDI_DIRECTION=1;
	BSF        MAX7219_SDI_DIRECTION+0, BitPos(MAX7219_SDI_DIRECTION+0)
;softmax7219.c,10 :: 		MAX7219_SCK_DIRECTION=0;
	BCF        MAX7219_SCK_DIRECTION+0, BitPos(MAX7219_SCK_DIRECTION+0)
;softmax7219.c,12 :: 		MAX7219_CS=1;
	BSF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,14 :: 		MAX7219_CS=0;
	BCF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,15 :: 		Soft7219SpiWriteByte(0x09);
	MOVLW      9
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,16 :: 		Soft7219SpiWriteByte(0x0f);
	MOVLW      15
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,17 :: 		MAX7219_CS=1;
	BSF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,19 :: 		MAX7219_CS=0;
	BCF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,20 :: 		Soft7219SpiWriteByte(0x0a);
	MOVLW      10
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,21 :: 		Soft7219SpiWriteByte(0x0f);
	MOVLW      15
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,22 :: 		MAX7219_CS=1;
	BSF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,24 :: 		MAX7219_CS=0;
	BCF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,25 :: 		Soft7219SpiWriteByte(0x0b);//----> scan limit register
	MOVLW      11
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,26 :: 		Soft7219SpiWriteByte(0x03);//----> Displays 0-3 segments
	MOVLW      3
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,27 :: 		MAX7219_CS=1;
	BSF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,29 :: 		MAX7219_CS=0;
	BCF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,30 :: 		Soft7219SpiWriteByte(0x0c);
	MOVLW      12
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,31 :: 		Soft7219SpiWriteByte(0x01);
	MOVLW      1
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,32 :: 		MAX7219_CS=1;
	BSF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,34 :: 		MAX7219_CS=0;
	BCF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,35 :: 		Soft7219SpiWriteByte(0x00);
	CLRF       FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,36 :: 		Soft7219SpiWriteByte(0xff);
	MOVLW      255
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,37 :: 		MAX7219_CS=1;
	BSF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,38 :: 		}
L_end_SoftMax7219Init:
	RETURN
; end of _SoftMax7219Init

_SoftMax7219Print:

;softmax7219.c,40 :: 		void SoftMax7219Print(unsigned int Number)
;softmax7219.c,42 :: 		MAX7219_CS=0;
	BCF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,43 :: 		Soft7219SpiWriteByte(0x01);
	MOVLW      1
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,44 :: 		Soft7219SpiWriteByte((Number/1000)%10);
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	MOVF       FARG_SoftMax7219Print_Number+0, 0
	MOVWF      R0+0
	MOVF       FARG_SoftMax7219Print_Number+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,45 :: 		MAX7219_CS=1;
	BSF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,47 :: 		MAX7219_CS=0;
	BCF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,48 :: 		Soft7219SpiWriteByte(0x02);
	MOVLW      2
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,49 :: 		Soft7219SpiWriteByte((Number/100)%10);
	MOVLW      100
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       FARG_SoftMax7219Print_Number+0, 0
	MOVWF      R0+0
	MOVF       FARG_SoftMax7219Print_Number+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,50 :: 		MAX7219_CS=1;
	BSF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,52 :: 		MAX7219_CS=0;
	BCF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,53 :: 		Soft7219SpiWriteByte(0x03);
	MOVLW      3
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,54 :: 		Soft7219SpiWriteByte((Number/10)%10);
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       FARG_SoftMax7219Print_Number+0, 0
	MOVWF      R0+0
	MOVF       FARG_SoftMax7219Print_Number+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,55 :: 		MAX7219_CS=1;
	BSF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,57 :: 		MAX7219_CS=0;
	BCF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,58 :: 		Soft7219SpiWriteByte(0x04);
	MOVLW      4
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,59 :: 		Soft7219SpiWriteByte(Number%10);
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       FARG_SoftMax7219Print_Number+0, 0
	MOVWF      R0+0
	MOVF       FARG_SoftMax7219Print_Number+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,60 :: 		MAX7219_CS=1;
	BSF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,61 :: 		}
L_end_SoftMax7219Print:
	RETURN
; end of _SoftMax7219Print

_SoftMax7219DisplayOff:

;softmax7219.c,64 :: 		void SoftMax7219DisplayOff()
;softmax7219.c,66 :: 		MAX7219_CS=0;
	BCF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,67 :: 		Soft7219SpiWriteByte(0x0c);
	MOVLW      12
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,68 :: 		Soft7219SpiWriteByte(0x00);
	CLRF       FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,69 :: 		MAX7219_CS=1;
	BSF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,70 :: 		}
L_end_SoftMax7219DisplayOff:
	RETURN
; end of _SoftMax7219DisplayOff

_SoftMax7219DisplayOn:

;softmax7219.c,72 :: 		void SoftMax7219DisplayOn()
;softmax7219.c,74 :: 		MAX7219_CS=0;
	BCF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,75 :: 		Soft7219SpiWriteByte(0x0c);
	MOVLW      12
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,76 :: 		Soft7219SpiWriteByte(0x01);
	MOVLW      1
	MOVWF      FARG_Soft7219SpiWriteByte_DataByte+0
	CALL       _Soft7219SpiWriteByte+0
;softmax7219.c,77 :: 		MAX7219_CS=1;
	BSF        MAX7219_CS+0, BitPos(MAX7219_CS+0)
;softmax7219.c,78 :: 		}
L_end_SoftMax7219DisplayOn:
	RETURN
; end of _SoftMax7219DisplayOn

_main:

;MyProject.c,41 :: 		void main()
;MyProject.c,43 :: 		SoftDisplay.Init();// Initialize Software Max7219
	MOVF       _SoftDisplay+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       _SoftDisplay+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoIFC+0
;MyProject.c,45 :: 		SoftDisplay.Print(0);// Put Initial Value To Display
	MOVF       _SoftDisplay+5, 0
	MOVWF      FSR
	CLRF       INDF+0
	INCF       FSR, 1
	CLRF       INDF+0
	INCF       FSR, 1
	MOVF       _SoftDisplay+3, 0
	MOVWF      ___DoICPAddr+0
	MOVF       _SoftDisplay+4, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoIFC+0
;MyProject.c,47 :: 		for(i=0;i<10;i++)// Blink Display 10 Times
	CLRF       _i+0
	CLRF       _i+1
L_main10:
	MOVLW      0
	SUBWF      _i+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main28
	MOVLW      10
	SUBWF      _i+0, 0
L__main28:
	BTFSC      STATUS+0, 0
	GOTO       L_main11
;MyProject.c,49 :: 		SoftDisplay.TurnOff();
	MOVF       _SoftDisplay+6, 0
	MOVWF      ___DoICPAddr+0
	MOVF       _SoftDisplay+7, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoIFC+0
;MyProject.c,50 :: 		delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      69
	MOVWF      R12+0
	MOVLW      169
	MOVWF      R13+0
L_main13:
	DECFSZ     R13+0, 1
	GOTO       L_main13
	DECFSZ     R12+0, 1
	GOTO       L_main13
	DECFSZ     R11+0, 1
	GOTO       L_main13
	NOP
	NOP
;MyProject.c,51 :: 		SoftDisplay.TurnOn();
	MOVF       _SoftDisplay+9, 0
	MOVWF      ___DoICPAddr+0
	MOVF       _SoftDisplay+10, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoIFC+0
;MyProject.c,52 :: 		delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      69
	MOVWF      R12+0
	MOVLW      169
	MOVWF      R13+0
L_main14:
	DECFSZ     R13+0, 1
	GOTO       L_main14
	DECFSZ     R12+0, 1
	GOTO       L_main14
	DECFSZ     R11+0, 1
	GOTO       L_main14
	NOP
	NOP
;MyProject.c,47 :: 		for(i=0;i<10;i++)// Blink Display 10 Times
	INCF       _i+0, 1
	BTFSC      STATUS+0, 2
	INCF       _i+1, 1
;MyProject.c,53 :: 		}
	GOTO       L_main10
L_main11:
;MyProject.c,55 :: 		while(1)// loop forever
L_main15:
;MyProject.c,57 :: 		for(i=0;i<512;i++)//Count From 0 To 511 And Display
	CLRF       _i+0
	CLRF       _i+1
L_main17:
	MOVLW      2
	SUBWF      _i+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main29
	MOVLW      0
	SUBWF      _i+0, 0
L__main29:
	BTFSC      STATUS+0, 0
	GOTO       L_main18
;MyProject.c,59 :: 		SoftDisplay.Print(i);
	MOVF       _SoftDisplay+5, 0
	MOVWF      FSR
	MOVF       _i+0, 0
	MOVWF      INDF+0
	MOVF       _i+1, 0
	INCF       FSR, 1
	MOVWF      INDF+0
	INCF       FSR, 1
	MOVF       _SoftDisplay+3, 0
	MOVWF      ___DoICPAddr+0
	MOVF       _SoftDisplay+4, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoIFC+0
;MyProject.c,60 :: 		delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      69
	MOVWF      R12+0
	MOVLW      169
	MOVWF      R13+0
L_main20:
	DECFSZ     R13+0, 1
	GOTO       L_main20
	DECFSZ     R12+0, 1
	GOTO       L_main20
	DECFSZ     R11+0, 1
	GOTO       L_main20
	NOP
	NOP
;MyProject.c,57 :: 		for(i=0;i<512;i++)//Count From 0 To 511 And Display
	INCF       _i+0, 1
	BTFSC      STATUS+0, 2
	INCF       _i+1, 1
;MyProject.c,61 :: 		}
	GOTO       L_main17
L_main18:
;MyProject.c,62 :: 		}
	GOTO       L_main15
;MyProject.c,64 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
